<?xml version="1.0" encoding="UTF-8"?>
<xliff xmlns="urn:oasis:names:tc:xliff:document:1.1" version="1.1">
  <file original="NoName" source-language="en" datatype="plaintext" target-language="zh_Hans">
    <body>
      <trans-unit xml:space="preserve" approved="no" id="aa44a41b71d9747e" weblate-flags="safe-html, strict-same">
        <source>https://www.boost.org/doc/libs/release/libs/json/[image:https://raw.githubusercontent.com/CPPAlliance/json/master/doc/images/repo-logo-3.png[Boost.JSON]]</source>
        <target state="translated">https://www.boost.org/doc/libs/release/libs/json/[image:https://raw.githubusercontent.com/CPPAlliance/json/master/doc/images/repo-logo-3.png[Boost.JSON]]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">1</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="86f481510857b67b" weblate-flags="safe-html, strict-same">
        <source>Branch</source>
        <target state="translated">分支</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">4</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e5496ba703fd78ed" weblate-flags="safe-html, strict-same">
        <source>https://github.com/boostorg/json/tree/master[`master`]</source>
        <target state="translated">https://github.com/boostorg/json/tree/master[`master`]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">4</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="3bc06b908937c41e" weblate-flags="safe-html, strict-same">
        <source>https://github.com/boostorg/json/tree/develop[`develop`]</source>
        <target state="translated">https://github.com/boostorg/json/tree/develop[`develop`]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">4</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="8a3580cbcc79d38b" weblate-flags="safe-html, strict-same">
        <source>https://azure.microsoft.com/en-us/services/devops/pipelines/[Azure]</source>
        <target state="translated">https://azure.microsoft.com/en-us/services/devops/pipelines/[Azure]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">4</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b81eb0ce21e96ca4" weblate-flags="safe-html, strict-same">
        <source>https://vinniefalco.visualstudio.com/json/_build/latest?definitionId=5&amp;branchName=master[image:https://img.shields.io/azure-devops/build/vinniefalco/2571d415-8cc8-4120-a762-c03a8eda0659/8/master[Build</source>
        <target state="translated">https://vinniefalco.visualstudio.com/json/_build/latest?definitionId=5&amp;amp;branchName=master[image:https://img.shields.io/azure-devops/build/vinniefalco/2571d415-8cc8-4120-a762-c03a8eda0659/8/master[构建</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">4</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="5085d714773f9538" weblate-flags="safe-html, strict-same">
        <source>Status]] |https://vinniefalco.visualstudio.com/json/_build/latest?definitionId=8&amp;branchName=develop[image:https://img.shields.io/azure-devops/build/vinniefalco/2571d415-8cc8-4120-a762-c03a8eda0659/8/develop[Build Status]]</source>
        <target state="translated">状态]] |https://vinniefalco.visualstudio.com/json/_build/latest?definitionId=8&amp;amp;branchName=develop[image:https://img.shields.io/azure-devops/build/vinniefalco/2571d415-8cc8-4120-a762-c03a8eda0659/8/develop[Build Status]]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">9</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="27108903b4df345c" weblate-flags="safe-html, strict-same">
        <source>Docs</source>
        <target state="translated">文档</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">13</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="642c44d7a6b46d87" weblate-flags="safe-html, strict-same">
        <source>https://www.boost.org/doc/libs/master/libs/json/[image:https://img.shields.io/badge/docs-master-brightgreen.svg[Documentation]]</source>
        <target state="translated">https://www.boost.org/doc/libs/master/libs/json/[image:https://img.shields.io/badge/docs-master-brightgreen.svg[文档]]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">13</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2700c425bb360021" weblate-flags="safe-html, strict-same">
        <source>https://www.boost.org/doc/libs/develop/libs/json/[image:https://img.shields.io/badge/docs-develop-brightgreen.svg[Documentation]]</source>
        <target state="translated">https://www.boost.org/doc/libs/develop/libs/json/[image:https://img.shields.io/badge/docs-develop-brightgreen.svg[文档]]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">13</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="40963c3bc029dd12" weblate-flags="safe-html, strict-same">
        <source>https://drone.io/[Drone]</source>
        <target state="translated">https://drone.io/[Drone]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">13</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="a678af81bd20ff16" weblate-flags="safe-html, strict-same">
        <source>https://drone.cpp.al/boostorg/json[image:https://drone.cpp.al/api/badges/boostorg/json/status.svg?ref=refs/heads/master[Build</source>
        <target state="translated">https://drone.cpp.al/boostorg/json[image:https://drone.cpp.al/api/badges/boostorg/json/status.svg?ref=refs/heads/master[构建</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">13</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b3e2b84b9401bc0d" weblate-flags="safe-html, strict-same">
        <source>Status]] |https://drone.cpp.al/boostorg/json[image:https://drone.cpp.al/api/badges/boostorg/json/status.svg?ref=refs/heads/develop[Build Status]]</source>
        <target state="translated">状态]] |https://drone.cpp.al/boostorg/json[image:https://drone.cpp.al/api/badges/boostorg/json/status.svg?ref=refs/heads/develop[构建状态]]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">19</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="217b852d46d02ec7" weblate-flags="safe-html, strict-same">
        <source>Matrix</source>
        <target state="translated">Matrix</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">23</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="fc6edcf9eb117cde" weblate-flags="safe-html, strict-same">
        <source>http://www.boost.org/development/tests/master/developer/json.html[image:https://img.shields.io/badge/matrix-master-brightgreen.svg[Matrix]]</source>
        <target state="translated">http://www.boost.org/development/tests/master/developer/json.html[image:https://img.shields.io/badge/matrix-master-brightgreen.svg[测试矩阵]]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">23</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="942e77c7060351ef" weblate-flags="safe-html, strict-same">
        <source>http://www.boost.org/development/tests/develop/developer/json.html[image:https://img.shields.io/badge/matrix-develop-brightgreen.svg[Matrix]]</source>
        <target state="translated">http://www.boost.org/development/tests/develop/developer/json.html[image:https://img.shields.io/badge/matrix-develop-brightgreen.svg[测试矩阵]]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">23</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b55c06c538372574" weblate-flags="safe-html, strict-same">
        <source>Fuzzing</source>
        <target state="translated">模糊测试</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">23</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="3fab507d76a82944" weblate-flags="safe-html, strict-same">
        <source>—</source>
        <target state="translated">—</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">23</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="534c7d3e74cfe693" weblate-flags="safe-html, strict-same">
        <source>https://github.com/boostorg/json/actions?query=workflow%3Afuzz+branch%3Adevelop[image:https://github.com/boostorg/json/workflows/fuzz/badge.svg?branch=develop[fuzz]]</source>
        <target state="translated">https://github.com/boostorg/json/actions?query=workflow%3Afuzz+branch%3Adevelop[image:https://github.com/boostorg/json/workflows/fuzz/badge.svg?branch=develop[模糊测试]]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">23</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="065d46d74df42aff" weblate-flags="safe-html, strict-same">
        <source>https://ci.appveyor.com/[Appveyor]</source>
        <target state="translated">https://ci.appveyor.com/[Appveyor]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">23</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2b1e4db4f465ce85" weblate-flags="safe-html, strict-same">
        <source>https://ci.appveyor.com/project/vinniefalco/cppalliance-json/branch/master[image:https://ci.appveyor.com/api/projects/status/8csswcnmfm798203?branch=master&amp;svg=true[Build</source>
        <target state="translated">https://ci.appveyor.com/project/vinniefalco/cppalliance-json/branch/master[image:https://ci.appveyor.com/api/projects/status/8csswcnmfm798203?branch=master&amp;amp;svg=true[状态</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">23</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4c3253d2dfb0effc" weblate-flags="safe-html, strict-same">
        <source>status]] |https://ci.appveyor.com/project/vinniefalco/cppalliance-json/branch/develop[image:https://ci.appveyor.com/api/projects/status/8csswcnmfm798203?branch=develop&amp;svg=true[Build status]]</source>
        <target state="translated">状态]] |https://ci.appveyor.com/project/vinniefalco/cppalliance-json/branch/develop[image:https://ci.appveyor.com/api/projects/status/8csswcnmfm798203?branch=develop&amp;amp;svg=true[构建状态]]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">32</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="38ceb6a461ea2e06" weblate-flags="safe-html, strict-same">
        <source>https://codecov.io[codecov.io]</source>
        <target state="translated">https://codecov.io[codecov.io]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">36</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="1dd57ffa677e4034" weblate-flags="safe-html, strict-same">
        <source>https://codecov.io/gh/boostorg/json/branch/master[image:https://codecov.io/gh/boostorg/json/branch/master/graph/badge.svg[codecov]]</source>
        <target state="translated">https://codecov.io/gh/boostorg/json/branch/master[image:https://codecov.io/gh/boostorg/json/branch/master/graph/badge.svg[codecov]]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">36</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2d9fda13e30a8e25" weblate-flags="safe-html, strict-same">
        <source>https://codecov.io/gh/boostorg/json/branch/develop[image:https://codecov.io/gh/boostorg/json/branch/develop/graph/badge.svg[codecov]]</source>
        <target state="translated">https://codecov.io/gh/boostorg/json/branch/develop[image:https://codecov.io/gh/boostorg/json/branch/develop/graph/badge.svg[codecov]]</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">36</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="9d3796891d7c125b" weblate-flags="safe-html, strict-same">
        <source>Boost.JSON</source>
        <target state="translated">Boost.JSON</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">41</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="9ab11b95ba194c3c" weblate-flags="safe-html, strict-same">
        <source>Overview</source>
        <target state="translated">概述</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">43</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="aa61d2faa0e3e42f" weblate-flags="safe-html, strict-same">
        <source>Boost.JSON is a portable C++ library which provides containers and algorithms that implement https://json.org/[JavaScript Object Notation], or simply ``JSON'', a lightweight data-interchange format. This format is easy for humans to read and write, and easy for machines to parse and generate. It is based on a subset of the JavaScript Programming Language (https://www.ecma-international.org/ecma-262/10.0/index.html[Standard ECMA-262]), and is currently standardised in https://datatracker.ietf.org/doc/html/rfc8259[RFC 8259]. JSON is a text format that is language-independent but uses conventions that are familiar to programmers of the C-family of languages, including C, C++, C#, Java, JavaScript, Perl, Python, and many others. These properties make JSON an ideal data-interchange language.</source>
        <target state="translated">Boost.JSON 是一个可移植的 C++ 库，提供了实现 [JavaScript Object Notation](https://json.org/)（简称 “JSON”）的容器和算法，这是一种轻量级的数据交换格式。该格式易于人类读写，也易于机器解析和生成。该格式基于 JavaScript 编程语言的一个子集（[ECMA-262 标准](https://www.ecma-international.org/ecma-262/10.0/index.html)），目前已在 [RFC 8259](https://datatracker.ietf.org/doc/html/rfc8259) 中标准化。JSON 是一种独立于语言但使用 C 语言家族（包括 C、C++、C#、Java、JavaScript、Perl、Python 等）程序员熟悉的约定的文本格式。这些特性使 JSON 成为理想的数据交换语言。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">45</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="c9c90fa85a23a4f4" weblate-flags="safe-html, strict-same">
        <source>This library focuses on a common and popular use-case: parsing and serializing to and from a container called `value` which holds JSON types. Any `value` which you build can be serialized and then deserialized, guaranteeing that the result will be equal to the original value. Whatever JSON output you produce with this library will be readable by most common JSON implementations in any language.</source>
        <target state="translated">该库专注于一个常见且广泛使用的场景：解析和序列化到一个名为 `value` 的容器，或从中进行解析和序列化（该容器用于存储 JSON 类型）。任何构建的 `value` 都可以被序列化后再反序列化，并保证结果与原始值相等。使用该库生成的任何 JSON 输出，均可被大多数主流编程语言中的常见 JSON 实现正确读取。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">58</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4725f6f104149fdc" weblate-flags="safe-html, strict-same">
        <source>The `value` container is designed to be well suited as a vocabulary type appropriate for use in public interfaces and libraries, allowing them to be composed. The library restricts the representable data types to the ranges which are almost universally accepted by most JSON implementations, especially JavaScript. The parser and serializer are both highly performant, meeting or exceeding the benchmark performance of the best comparable libraries. Allocators are very well supported. Code which uses these types will be easy to understand, flexible, and performant.</source>
        <target state="translated">`value` 容器被设计为一种适合作为公共接口和库中词汇类型的组件，便于组合使用。该库将可表示的数据类型限制在绝大多数 JSON 实现（尤其是 JavaScript）普遍接受的范围内。解析器和序列化器均具备高性能，其基准性能达到或超过了同类优秀库的水平。对分配器的支持非常完善。使用这些类型的代码将易于理解、灵活且高效。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">65</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="66312b7e052247b6" weblate-flags="safe-html, strict-same">
        <source>Boost.JSON offers these features:</source>
        <target state="translated">Boost.JSON 提供以下特性：</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">75</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="c3a216aac51cf09f" weblate-flags="safe-html, strict-same">
        <source>Fast compilation</source>
        <target state="translated">快速编译</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">77</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="a560b80ed30bf931" weblate-flags="safe-html, strict-same">
        <source>Require only C++11</source>
        <target state="translated">仅需 C++11</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">78</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2f7ee5dab9ad12a8" weblate-flags="safe-html, strict-same">
        <source>Fast streaming parser and serializer</source>
        <target state="translated">高性能流式解析器和序列化器</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">79</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="30b1ae58ca366dd2" weblate-flags="safe-html, strict-same">
        <source>Constant-time key lookup for objects</source>
        <target state="translated">对象的常量时间键查找</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">80</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2a079a1bb5bff3ed" weblate-flags="safe-html, strict-same">
        <source>Options to allow non-standard JSON</source>
        <target state="translated">允许非标准 JSON 的选项</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">81</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="81e20a6cf6a2537b" weblate-flags="safe-html, strict-same">
        <source>Easy and safe modern API with allocator support</source>
        <target state="translated">提供易于使用且安全的现代 API，并支持分配器</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">82</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="d7c0e9d310e87475" weblate-flags="safe-html, strict-same">
        <source>Optional header-only, without linking to a library</source>
        <target state="translated">可选的纯头文件方式，无需链接库</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">83</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="0a0730f474ebcd45" weblate-flags="safe-html, strict-same">
        <source>Visit https://boost.org/libs/json for complete documentation.</source>
        <target state="translated">若要获取完整文档请访问以下链接： https://boost.org/libs/json</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">85</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="8b11f6ce20c469c2" weblate-flags="safe-html, strict-same">
        <source>Requirements</source>
        <target state="translated">要求</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">87</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="fd90323a915a1f79" weblate-flags="safe-html, strict-same">
        <source>Requires only C++11</source>
        <target state="translated">仅需 C++11</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">89</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="011f655f060932a3" weblate-flags="safe-html, strict-same">
        <source>Link to a built static or dynamic Boost library, or use header-only</source>
        <target state="translated">可链接预构建的静态或动态 Boost 库，也可使用纯头文件方式</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">90</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="b6cbb8a9206c3eab" weblate-flags="safe-html, strict-same">
        <source>(see below)</source>
        <target state="translated">（见下文）</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">91</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2df8ba692c510ac9" weblate-flags="safe-html, strict-same">
        <source>Supports -fno-exceptions, detected automatically</source>
        <target state="translated">Supports -fno-exceptions（可自动检测）</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">92</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2525377e9d8b7caa" weblate-flags="safe-html, strict-same">
        <source>The library relies heavily on these well known C++ types in its interfaces (henceforth termed _standard types_):</source>
        <target state="translated">该库在其接口中大量依赖以下众所周知的 C++ 类型（以下称为 _standard types_）：</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">94</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="6d6cf41c273a9b82" weblate-flags="safe-html, strict-same">
        <source>`string_view`</source>
        <target state="translated">`string_view`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">97</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e29e585d2f5dad31" weblate-flags="safe-html, strict-same">
        <source>`memory_resource`, `polymorphic_allocator`</source>
        <target state="translated">`memory_resource`, `polymorphic_allocator`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">98</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="10f862a312766457" weblate-flags="safe-html, strict-same">
        <source>`error_category`, `error_code`, `error_condition`, `system_error`</source>
        <target state="translated">`error_category`, `error_code`, `error_condition`, `system_error`</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">99</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e7a41c458247acc9" weblate-flags="safe-html, strict-same">
        <source>Header-Only</source>
        <target state="translated">纯头文件</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">101</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="8c339a808afd7792" weblate-flags="safe-html, strict-same">
        <source>To use as header-only; that is, to eliminate the requirement to link a program to a static or dynamic Boost.JSON library, simply place the following line in exactly one new or existing source file in your project.</source>
        <target state="translated">要使用纯头文件模式（即无需将程序链接到静态或动态的 Boost.JSON 库），只需在项目中恰好一个新建或现有源文件中添加以下行。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">103</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="23333959e85b97d3" weblate-flags="safe-html, strict-same">
        <source>MSVC users must also define the macro `BOOST_JSON_NO_LIB` to disable auto-linking.</source>
        <target state="translated">MSVC 用户还必须定义宏 `BOOST_JSON_NO_LIB` ，以禁用自动链接。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">112</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="d02685854594b5ac" weblate-flags="safe-html, strict-same">
        <source>Embedded</source>
        <target state="translated">嵌入式</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">115</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="361a1b50d06fc25e" weblate-flags="safe-html, strict-same">
        <source>Boost.JSON works great on embedded devices. The library uses local stack buffers to increase the performance of some operations. On Intel platforms these buffers are large (4KB), while on non-Intel platforms they are small (256 bytes). To adjust the size of the stack buffers for embedded applications define this macro when building the library or including the function definitions:</source>
        <target state="translated">Boost.JSON 在嵌入式设备上表现优异。该库使用局部栈缓冲区来提升某些操作的性能。在 Intel 平台上，这些缓冲区较大（4KB），而在非 Intel 平台上则较小（256 字节）。若要在嵌入式应用中调整栈缓冲区的大小，请在构建库或包含函数定义时定义以下宏：</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">117</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="225afe6da073cfd2" weblate-flags="safe-html, strict-same">
        <source>Supported Compilers</source>
        <target state="translated">支持的编译器</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">129</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="01200f01cd646cae" weblate-flags="safe-html, strict-same">
        <source>Boost.JSON has been tested with the following compilers:</source>
        <target state="translated">Boost.JSON 已在以下编译器上进行过测试：</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">131</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="7a054bd0f7c23134" weblate-flags="safe-html, strict-same">
        <source>clang: 3.5, 3.6, 3.7, 3.8, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14</source>
        <target state="translated">clang: 3.5, 3.6, 3.7, 3.8, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">133</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="643053f31e798454" weblate-flags="safe-html, strict-same">
        <source>gcc: 4.8, 4.9, 5, 6, 7, 8, 9, 10, 11, 12</source>
        <target state="translated">gcc: 4.8, 4.9, 5, 6, 7, 8, 9, 10, 11, 12</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">134</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="7b2f9deceb97f4df" weblate-flags="safe-html, strict-same">
        <source>msvc: 14.0, 14.1, 14.2, 14.3</source>
        <target state="translated">msvc: 14.0, 14.1, 14.2, 14.3</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">135</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="77b9c2f545544d86" weblate-flags="safe-html, strict-same">
        <source>Supported JSON Text</source>
        <target state="translated">支持的 JSON 文本</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">137</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="98f48aaca698c327" weblate-flags="safe-html, strict-same">
        <source>The library expects input text to be encoded using UTF-8, which is a requirement put on all JSON exchanged between systems by the https://datatracker.ietf.org/doc/html/rfc8259#section-8.1[RFC]. Similarly, the text generated by the library is valid UTF-8.</source>
        <target state="translated">该库要求输入文本使用 UTF-8 编码，这是 [RFC](https://datatracker.ietf.org/doc/html/rfc8259#section-8.1) 对系统间交换的所有 JSON 所规定的强制要求。同样，该库生成的文本也是有效的 UTF-8。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">139</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="441d9c2a3777c2a4" weblate-flags="safe-html, strict-same">
        <source>The RFC does not allow byte order marks (BOM) to appear in JSON text, so the library considers BOM syntax errors.</source>
        <target state="translated">RFC 不允许字节顺序标记（BOM）出现在 JSON 文本中，因此该库将 BOM 视为语法错误。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">144</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="257abeb9f9eab897" weblate-flags="safe-html, strict-same">
        <source>The library supports several popular JSON extensions. These have to be explicitly enabled.</source>
        <target state="translated">该库支持多种流行的 JSON 扩展，但这些扩展必须显式启用。</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">147</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4b2a85ccab50fe6c" weblate-flags="safe-html, strict-same">
        <source>Visual Studio Solution</source>
        <target state="translated">Visual Studio 解决方案</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">150</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2403712908c7230f" weblate-flags="safe-html, strict-same">
        <source>Quality Assurance</source>
        <target state="translated">质量保证</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">157</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="586a437a84684c30" weblate-flags="safe-html, strict-same">
        <source>The development infrastructure for the library includes these per-commit analyses:</source>
        <target state="translated">该库的开发基础设施包括以下每次提交的分析：</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">159</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="86532d71fcc1bd3f" weblate-flags="safe-html, strict-same">
        <source>Coverage reports</source>
        <target state="translated">覆盖率报告</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">162</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="4d5d9f7e25b548a7" weblate-flags="safe-html, strict-same">
        <source>Benchmark performance comparisons</source>
        <target state="translated">基准性能比较</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">163</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2d0b7da79407a04d" weblate-flags="safe-html, strict-same">
        <source>Compilation and tests on Drone.io, Azure Pipelines, Appveyor</source>
        <target state="translated">在 Drone.io、Azure Pipelines 和 AppVeyor 上进行编译与测试</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">164</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="ef3d668615a0f99d" weblate-flags="safe-html, strict-same">
        <source>Fuzzing using clang-llvm and machine learning</source>
        <target state="translated">使用 clang-llvm 和机器学习的模糊测试</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">165</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="dc7ba1368d22aa1d" weblate-flags="safe-html, strict-same">
        <source>License</source>
        <target state="translated">许可证</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">167</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="a84e0f7712d0d0e8" weblate-flags="safe-html, strict-same">
        <source>Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at https://www.boost.org/LICENSE_1_0.txt)</source>
        <target state="translated">根据 Boost 软件许可协议 1.0 版分发。（详见随附文件 LICENSE_1_0.txt 文件或访问 https://www.boost.org/LICENSE_1_0.txt ）</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">169</context>
        </context-group>
      </trans-unit>
    </body>
  </file>
</xliff>
